Signatures
Document Get
Retrieves metadata for a document included in an envelope in JSON format.
- Use the documentId (a unique document URN) to reference the document that is included into an envelope.
- The request returns the document data in JSON format.
- The document can be identified by a unique transactionId (tid).
- Provide the tid as a query parameter. Covers both regular documents and pre-conversion "original" documents (union query) - externalContext is always null for the latter. A caller who can't see the document gets the same DOCUMENT_ID_INVALID as a nonexistent one; there is no separate access-denied response for this operation.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
documentId*string
The ID(URN) of the document that is included into an envelope.
Query Parameters
tid?string
This is a unique identifier associated with a specific recipient and envelope within a given transaction. It is used to securely validate that the user has the appropriate authorization to perform actions related to that transaction.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/signatures/document/string/get"{ "result": { "statusCode": 200, "message": "OK", "data": { "document": { "id": "string", "name": "string", "externalContext": {} } } }, "origin": "string", "dateTime": "string"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}